<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/AVS/test/AVSCommon/AVS/Attachment/MockAttachmentManager.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a></li><li class="navelem"><a class="el" href="dir_17565a3651b6551653a4e14cb661c95c.html">test</a></li><li class="navelem"><a class="el" href="dir_1135dc1123fe43c3ee136d2cf31a0c46.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_7bdff736f20bfd31c081269ae0dc0c4a.html">AVS</a></li><li class="navelem"><a class="el" href="dir_1977e7305461c7cf8192fd3f175ab4fc.html">Attachment</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">MockAttachmentManager.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_mock_attachment_manager_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2017-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_AVSCOMMON_AVS_TEST_AVSCOMMON_AVS_ATTACHMENT_MOCKATTACHMENTMANAGER_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_AVSCOMMON_AVS_TEST_AVSCOMMON_AVS_ATTACHMENT_MOCKATTACHMENTMANAGER_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;chrono&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;memory&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;gmock/gmock.h&gt;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_attachment_manager_interface_8h.html">AVSCommon/AVS/Attachment/AttachmentManagerInterface.h</a>&quot;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">namespace </span>avsCommon {</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">namespace </span>avs {</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">namespace </span>attachment {</div><div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1test.html">   30</a></span>&#160;<span class="keyword">namespace </span>test {</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1test_1_1_mock_attachment_manager.html">   33</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1test_1_1_mock_attachment_manager.html">MockAttachmentManager</a> : <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager_interface.html">AttachmentManagerInterface</a> {</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1test_1_1_mock_attachment_manager.html#a3905b6958d45467d503c1067cc0a1835">MOCK_CONST_METHOD2</a>(<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager_interface.html#a09631169c52ce59e38c4c53a42e76463">generateAttachmentId</a>, std::string(<span class="keyword">const</span> std::string&amp; contextId, <span class="keyword">const</span> std::string&amp; contentId));</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1test_1_1_mock_attachment_manager.html#a54df3eef6724dbafb47c7f10dae0f8d6">MOCK_METHOD1</a>(<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager_interface.html#a66adbefb136ac1d9461ab2aa3945b84e">setAttachmentTimeoutMinutes</a>, <span class="keywordtype">bool</span>(std::chrono::minutes timeoutMinutes));</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1test_1_1_mock_attachment_manager.html#ab499aa5108b38356fd67391a4abfbfb8">MOCK_METHOD2</a>(</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager_interface.html#a14d4e68c212f1edec4c3051b3f321bd6">createWriter</a>,</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;        std::unique_ptr&lt;AttachmentWriter&gt;(<span class="keyword">const</span> std::string&amp; attachmentId, <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds.html#a7b17d768f16a6f5da766df780d94bbd5">utils::sds::WriterPolicy</a> policy));</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1test_1_1_mock_attachment_manager.html#ab499aa5108b38356fd67391a4abfbfb8">MOCK_METHOD2</a>(</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager_interface.html#acb07ab71933a232425dc3f5c5fca4625">createReader</a>,</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;        std::unique_ptr&lt;AttachmentReader&gt;(<span class="keyword">const</span> std::string&amp; attachmentId, <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds.html#a07d2a9441f40d089a1f9a0d7e2baab4b">utils::sds::ReaderPolicy</a> policy));</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;};</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;}  <span class="comment">// namespace test</span></div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;}  <span class="comment">// namespace attachment</span></div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;}  <span class="comment">// namespace avs</span></div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;}  <span class="comment">// namespace avsCommon</span></div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_AVSCOMMON_AVS_TEST_AVSCOMMON_AVS_ATTACHMENT_MOCKATTACHMENTMANAGER_H_</span></div><div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_html_a7b17d768f16a6f5da766df780d94bbd5"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds.html#a7b17d768f16a6f5da766df780d94bbd5">alexaClientSDK::avsCommon::utils::sds::WriterPolicy</a></div><div class="ttdeci">WriterPolicy</div><div class="ttdoc">Specifies the policy to use for writing to the stream. </div><div class="ttdef"><b>Definition:</b> WriterPolicy.h:25</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1test_1_1_mock_attachment_manager_html_a54df3eef6724dbafb47c7f10dae0f8d6"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1test_1_1_mock_attachment_manager.html#a54df3eef6724dbafb47c7f10dae0f8d6">alexaClientSDK::avsCommon::avs::attachment::test::MockAttachmentManager::MOCK_METHOD1</a></div><div class="ttdeci">MOCK_METHOD1(setAttachmentTimeoutMinutes, bool(std::chrono::minutes timeoutMinutes))</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager_interface_html_a66adbefb136ac1d9461ab2aa3945b84e"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager_interface.html#a66adbefb136ac1d9461ab2aa3945b84e">alexaClientSDK::avsCommon::avs::attachment::AttachmentManagerInterface::setAttachmentTimeoutMinutes</a></div><div class="ttdeci">virtual bool setAttachmentTimeoutMinutes(std::chrono::minutes timeoutMinutes)=0</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager_interface_html_a09631169c52ce59e38c4c53a42e76463"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager_interface.html#a09631169c52ce59e38c4c53a42e76463">alexaClientSDK::avsCommon::avs::attachment::AttachmentManagerInterface::generateAttachmentId</a></div><div class="ttdeci">virtual std::string generateAttachmentId(const std::string &amp;contextId, const std::string &amp;contentId) const =0</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager_interface_html_a14d4e68c212f1edec4c3051b3f321bd6"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager_interface.html#a14d4e68c212f1edec4c3051b3f321bd6">alexaClientSDK::avsCommon::avs::attachment::AttachmentManagerInterface::createWriter</a></div><div class="ttdeci">virtual std::unique_ptr&lt; AttachmentWriter &gt; createWriter(const std::string &amp;attachmentId, utils::sds::WriterPolicy policy=avsCommon::utils::sds::WriterPolicy::ALL_OR_NOTHING)=0</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager_interface.html">alexaClientSDK::avsCommon::avs::attachment::AttachmentManagerInterface</a></div><div class="ttdef"><b>Definition:</b> AttachmentManagerInterface.h:37</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1test_1_1_mock_attachment_manager_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1test_1_1_mock_attachment_manager.html">alexaClientSDK::avsCommon::avs::attachment::test::MockAttachmentManager</a></div><div class="ttdoc">Mock class that implements the AttachmentManager. </div><div class="ttdef"><b>Definition:</b> MockAttachmentManager.h:33</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager_interface_html_acb07ab71933a232425dc3f5c5fca4625"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager_interface.html#acb07ab71933a232425dc3f5c5fca4625">alexaClientSDK::avsCommon::avs::attachment::AttachmentManagerInterface::createReader</a></div><div class="ttdeci">virtual std::unique_ptr&lt; AttachmentReader &gt; createReader(const std::string &amp;attachmentId, utils::sds::ReaderPolicy policy)=0</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_html_a07d2a9441f40d089a1f9a0d7e2baab4b"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds.html#a07d2a9441f40d089a1f9a0d7e2baab4b">alexaClientSDK::avsCommon::utils::sds::ReaderPolicy</a></div><div class="ttdeci">ReaderPolicy</div><div class="ttdoc">Specifies the policy to use for reading from the stream. </div><div class="ttdef"><b>Definition:</b> ReaderPolicy.h:25</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1test_1_1_mock_attachment_manager_html_ab499aa5108b38356fd67391a4abfbfb8"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1test_1_1_mock_attachment_manager.html#ab499aa5108b38356fd67391a4abfbfb8">alexaClientSDK::avsCommon::avs::attachment::test::MockAttachmentManager::MOCK_METHOD2</a></div><div class="ttdeci">MOCK_METHOD2(createWriter, std::unique_ptr&lt; AttachmentWriter &gt;(const std::string &amp;attachmentId, utils::sds::WriterPolicy policy))</div></div>
<div class="ttc" id="_attachment_manager_interface_8h_html"><div class="ttname"><a href="_attachment_manager_interface_8h.html">AttachmentManagerInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1test_1_1_mock_attachment_manager_html_a3905b6958d45467d503c1067cc0a1835"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1test_1_1_mock_attachment_manager.html#a3905b6958d45467d503c1067cc0a1835">alexaClientSDK::avsCommon::avs::attachment::test::MockAttachmentManager::MOCK_CONST_METHOD2</a></div><div class="ttdeci">MOCK_CONST_METHOD2(generateAttachmentId, std::string(const std::string &amp;contextId, const std::string &amp;contentId))</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
